<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.artfess.file.persistence.dao.FileStorageDao">
	<resultMap id="FileStorage" type="com.artfess.file.model.FileStorage">
		<id property="id" column="ID_" jdbcType="VARCHAR"/>
		<result property="name" column="NAME_" jdbcType="VARCHAR"/>
		<result property="code" column="CODE_" jdbcType="VARCHAR"/>
		<result property="uploadType" column="UPLOAD_TYPE_" jdbcType="VARCHAR"/>
		<result property="location" column="LOCATION_" jdbcType="VARCHAR"/>
		<result property="url" column="URL_" jdbcType="VARCHAR"/>
		<result property="port" column="PORT_" jdbcType="NUMERIC"/>
		<result property="userName" column="USER_NAME_" jdbcType="VARCHAR"/>
		<result property="password" column="PASSWORD_" jdbcType="VARCHAR"/>
		<result property="status" column="STATUS_" jdbcType="VARCHAR"/>
		<result property="encryptName" column="ENCRYPT_NAME_" jdbcType="NUMERIC"/>
		<result property="desc" column="DESC_" jdbcType="VARCHAR"/>
		<result property="updateTime" column="UPDATE_TIME_" jdbcType="TIMESTAMP"/>
		<result property="createBy" column="CREATE_BY_" jdbcType="VARCHAR"/>
		<result property="createTime" column="CREATE_TIME_" jdbcType="TIMESTAMP"/>
		<result property="createOrgId" column="CREATE_ORG_ID_" jdbcType="VARCHAR"/>
		<result property="updateBy" column="UPDATE_BY_" jdbcType="VARCHAR"/>
		<result property="tenantId" column="TENANT_ID_" jdbcType="VARCHAR"/>
		<result property="endpoint" column="ENDPOINT_" jdbcType="VARCHAR"/>
		<result property="accessKeyId" column="ACCESSKEYID_" jdbcType="VARCHAR"/>
		<result property="accessKeySecret" column="ACCESSKEYSECRET_" jdbcType="VARCHAR"/>
	</resultMap>
	


</mapper>